#property indicator_chart_window

extern string soundFile = "alert2.wav";

//+------------------------------------------------------------------+
int start()
{
   static datetime lastTime= 0;
               if (lastTime==0) { lastTime = TimeCurrent(); return(0); }
               
   for (int i = OrdersTotal()-1; i>=0; i--)
   {
      if (!OrderSelect(i,SELECT_BY_POS,MODE_TRADES)) continue;
      if (OrderOpenTime()>=lastTime)
      {
         Alert("new order : "+OrderSymbol()+" opened at : "+TimeToString(OrderOpenTime(),TIME_DATE|TIME_SECONDS)+" price : "+DoubleToStr(OrderOpenPrice(),MarketInfo(OrderSymbol(),MODE_DIGITS))+" lots "+DoubleToStr(OrderLots(),2));
         if (StringTrimLeft(StringTrimRight(soundFile))!="")
            PlaySound(soundFile);
      }
   }
   lastTime = TimeCurrent();
   return(0);
}
